summaryrefslogtreecommitdiff
path: root/openvswitch.configure
diff options
context:
space:
mode:
authorFrancisco Redondo Marchena <francisco.marchena@codethink.co.uk>2015-02-12 17:26:00 +0000
committerFrancisco Redondo Marchena <francisco.marchena@codethink.co.uk>2015-03-04 11:34:05 +0000
commitf0e7c681caa4b4b0d3bb065b0ab19aa5988cb84d (patch)
tree04071f3bbfc8d4f58a6aec497d8f8c741d0bc175 /openvswitch.configure
parent5e9eab28ffa16f14da29678aa38656db003a4f8d (diff)
downloaddefinitions-f0e7c681caa4b4b0d3bb065b0ab19aa5988cb84d.tar.gz
SPLITME: Add all Openstack
Diffstat (limited to 'openvswitch.configure')
-rw-r--r--openvswitch.configure30
1 files changed, 30 insertions, 0 deletions
diff --git a/openvswitch.configure b/openvswitch.configure
new file mode 100644
index 00000000..be4eb6d3
--- /dev/null
+++ b/openvswitch.configure
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+# Copyright (C) 2015 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+ROOT="$1"
+
+services=("openvswitch-setup.service" \
+ "openvswitch-db-server.service" \
+ "openvswitch-initialize-db.service" \
+ "openvswitch.service")
+
+for service in ${services[@]}; do
+ ln -sf "/etc/systemd/system/$service" \
+ "$ROOT/etc/systemd/system/multi-user.target.wants/$service"
+done